<?php

/**
 * This file is part of LEPTON Core, released under the GNU GPL
 * Please see LICENSE and COPYING files in your package for details, specially for terms and warranties.
 * 
 * NOTICE:LEPTON CMS Package has several different licenses.
 * Please see the individual license in the header of each single file or info.php of modules and templates.
 *
 *
 * @author          LEPTON Project
 * @copyright       2010-2026 LEPTON Project
 * @link            https://lepton-cms.org
 * @license         https://gnu.org/licenses/gpl.html
 * @license_terms   please see LICENSE and COPYING files in your package
 *
 */
 
// include secure.php to protect this file and the whole CMS!
if(!defined("SEC_FILE")){define("SEC_FILE",'/framework/secure.php' );}
if (defined('LEPTON_PATH')) {	
	include LEPTON_PATH.SEC_FILE;
} else {
	$oneback = "../";
	$root = $oneback;
	$level = 1;
	while (($level < 10) && (!file_exists($root.SEC_FILE))) {
		$root .= $oneback;
		$level += 1;
	}
	if (file_exists($root.SEC_FILE)) { 
		include $root.SEC_FILE;   
	} else {
		trigger_error(sprintf("[ <b>%s</b> ] Can't include secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
	}
}
// end include secure file


header('Content-Type: application/javascript');

if(!isset($_POST['pages']))
{
    die("E 1.0");
}

$sPageList = trim( $_POST['pages'] );

if( $sPageList == "" )
{
    die("E 2.0");
}

$aPages = explode(",", $sPageList);

//  Last element contains the information for the parent(-id)! Keep in mind that we are striping it here from the current list.
$iParent = intval( str_replace("parent_", "", array_pop($aPages)));

$aNewList = [];
foreach($aPages as $ref)
{
    if($ref != "")
    {
        $aNewList[] = intval( str_replace("p", "", $ref ) );
    }
}

if( empty($aNewList))
{
    return "Error [3.0]: no Items in sub-page list.";
}

$position = 1;
foreach($aNewList as $page_id)
{
    $fields = [ 'position'  => $position++ ];
    
    $database->build_and_execute(
        'update',
        TABLE_PREFIX."pages",
        $fields,
        "`page_id`=".$page_id." AND `parent`=".$iParent
    );
}

echo "Sub-Pageorder has been successfully changed: ".json_encode( $aNewList ).".\n";
